TikTok Shop

Creators the shop reached in TikTok's current outreach quota period

GET/api/public/v1/tik_tok_shop/outreach/records
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopOutreachRecords

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/outreach/records" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
pagequeryinteger Default 1
pageSizequeryinteger Default 50
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
hasMorebooleanrequired
pageintegerrequired
pageSizeintegerrequired
recordsarray of objectrequired
records[].[].creatorOpenIdstring, nullable
records[].[].hasSentImMessageboolean, nullable
records[].[].hasSentInvitationboolean, nullable
records[].[].isPairedboolean, nullable
records[].[].recordIdstring, nullable
totalinteger, nullable

Example

{
  "hasMore": true,
  "page": 1,
  "pageSize": 1,
  "records": [
    {
      "creatorOpenId": "string",
      "hasSentImMessage": true,
      "hasSentInvitation": true,
      "isPaired": true,
      "recordId": "string"
    }
  ],
  "total": 3
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.